Show disposal ticket surcharges¶
Use /tickets/{ticketID}/surcharges to retrieve surcharges of a ticket created at landfill for disposal.To retrieve summary of all the tickets, see disposal ticket api
URI¶
GET /api/v1/customers/{customerId}/tickets/{ticketId}/surcharges?ticket_type=disposal
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
| --- |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| ticketId | Y | Number | path | Unique ID assigned to a ticket |
| ticket_type | Y | String | query | Ticket Type(disposal) |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| tickets | Object | Ticket details. |
| status | String | Defines the status of the ticket like CLOSED , OPEN,VOIDED and PENDING |
| date_time | String | Ticket serviced Date and Time |
| site_id | Number | Unique Id defined for the disposal site location |
| site_name | String | Name of the disposal site location |
| surcharge | Number | Amount charged as part of surcharges |
| details | Object | Contains surcharge details |
| sequence_number | Number | Sequence number assigned to the surcharge |
| surcharge_name | String | Name of the surcharge |
| description | String | Description of the surcharge |
| billed_quantity | Number | Quantity for which customer is charged |
| rate_per_unit | Number | Amount charged per each unit |
| rate_uom | String | Unit of measurement of the material |
| amount | Number | Total amount charged for the specified surcharges |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets/822908/surcharges?ticket_type=disposal
Sample Success Response¶
{ "request_tracking_id": "1234547", "tickets": [{ "status": "Inactive", "date_time": "2015-08-03 10:27:39.0", "site_id": "01391", "site_name": "Eastmont Transfer Station", "surcharge": "0", "details": [{ "sequence_number": "1", "surcharge_name": "null", "description": "CDL ", "billed_quantity": "2.67", "rate_per_unit": "55.11", "rate_uom": "Tons", "amount": "147.14" }] }]}